<?php
$output = $category = $orderby = $options = $el_class = '';
extract( shortcode_atts( array(
    'category' => false,
    'orderby' => 'name',
    'options' => '',
    'limit' => -1,
    'el_class' => ''
), $atts ) );
$options = explode(",", $options);
if (in_array("images", $options)) $atts['images'] = true;
if (in_array("name", $options)) $atts['name'] = true;
if (in_array("description", $options)) $atts['description'] = true;
if (in_array("rating", $options)) $atts['rating'] = true;

$el_class = $this->getExtraClass($el_class);

$output = '';
$type = 'WP_Widget_Links';
global $wp_widget_factory;
$widget_obj = $wp_widget_factory->widgets[$type];
if ( is_a($widget_obj, 'WP_Widget') ){
	$args = array(
		'before_title' 		=> '<h3 class="yt-vc-element-heading">',
		'after_title'		=> '</h3>',
		'before_widget' 	=> sprintf('<div class="yt-vc-element yt-vc-element-wp-widget yt-vc-wp-links' . $el_class . ' widget yt-widget %s">', $widget_obj->widget_options['classname'] ),
		'after_widget' 		=> '</div>'
	);
	ob_start();
	the_widget( $type, $atts, $args );
	$output .= ob_get_clean();
}
echo $output;